Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`error`.`InvalidAddressError``

exception documentation

`class InvalidAddressError(ValueError): (source)`

Constructor: `InvalidAddressError(address, message)`

View In Hierarchy

An invalid address was specified (i.e. neither IPv4 or IPv6, or expected one and got the other).

Method | `__init__` | No summary
Instance Variable | `address` | See `__init__`
Instance Variable | `message` | See `__init__`

def __init__(self, address, message): (source)

Parameters
address:`str` | The address that was provided.
message | A native string of additional information provided by the calling context.

address = (source)

See `__init__`

message = (source)

See `__init__`